Subject: bug#4717: 23.1.50; C-M-h in bibtex mode

From: Roland Winkler <[email-masked]>
Date: Mon, 07 Mar 2022 11:39:08 -0600

On Mon, Mar 07 2022, Colin Baxter wrote:
>>>>>> Lars Ingebrigtsen <[email-masked]> writes:
>
>     > Lars Ingebrigtsen <[email-masked]> writes:
>     >> It looks like the major issue here has been fixed since this was
>     >> reported -- `C-M-h' now activates the region.  But it still
>     >> places point at the end of the region (instead of the beginning,
>     >> as it does in all other modes).
>     >> 
>     >> Is this something that should be fixed, Roland, or would it be
>     >> too disruptive for bibtex users?
>
>     > There was no response in a month, so I went ahead and changed this
>     > command in bibtex-mode to work like in other modes in Emacs 29.
>     > If this is too disruptive, go ahead and revert it (and mark this
>     > bug report as "wontfix" instead).
>
> Personally, I find the change to be a confounded nuisance. If I am just
> copying a region then I want the point to remain at the end of the
> region and not return to the beginning.

...Not yet a proper reply from my side: I discovered by chance that this
old thread has been active again.  But I missed the more recent emails
because they went to an old email address of mine that has been disabled
for at least ten years.

I'll try to provide a more useful reply as soon as possible.

Roland